## GstTypeFind GstTypeFind |

## Functions

void | (*GstTypeFindFunction) ()
const guint8 * | gst_type_find_peek ()
void | gst_type_find_suggest ()
void | gst_type_find_suggest_simple ()
guint64 | gst_type_find_get_length ()
gboolean | gst_type_find_register ()

## Types and Values

struct | GstTypeFind
enum | GstTypeFindProbability

## Includes

    #include <gst/gst.h>

## Description

## Functions

### GstTypeFindFunction ()

    void
    (*GstTypeFindFunction) (GstTypeFind *find,
                            gpointer user_data);

### gst_type_find_peek ()

    const guint8 *
    gst_type_find_peek (GstTypeFind *find,
                        gint64 offset,
                        guint size);

### gst_type_find_suggest ()

    void
    gst_type_find_suggest (GstTypeFind *find,
                           guint probability,
                           GstCaps *caps);

### gst_type_find_suggest_simple ()

    void
    gst_type_find_suggest_simple (GstTypeFind *find,
                                  guint probability,
                                  const char *media_type,
                                  const char *fieldname,
                                  ...);

### gst_type_find_get_length ()

    guint64
    gst_type_find_get_length (GstTypeFind *find);

### gst_type_find_register ()

    gboolean
    gst_type_find_register (GstPlugin *plugin,
                            const gchar *name,
                            guint rank,
                            GstTypeFindFunction func,
                            const gchar *extensions,
                            GstCaps *possible_caps,
                            gpointer data,
                            GDestroyNotify data_notify);

## Types and Values

### struct GstTypeFind

    struct GstTypeFind {
      /* private to the caller of the typefind function */
      const guint8 *  (* peek)       (gpointer         data,
                                      gint64           offset,
                                      guint            size);

      void            (* suggest)    (gpointer         data,
                                      guint            probability,
                                      GstCaps         *caps);

      gpointer         data;

      /* optional */
      guint64         (* get_length) (gpointer data);
    };

### enum GstTypeFindProbability

#### Members

GST_TYPE_FIND_NONE |  |
GST_TYPE_FIND_MINIMUM |  |
GST_TYPE_FIND_POSSIBLE |  |
GST_TYPE_FIND_LIKELY |  |
GST_TYPE_FIND_NEARLY_CERTAIN |  |
GST_TYPE_FIND_MAXIMUM |  |